/*
 * @Author: YKH
 * @Date: 2021-12-08 10:29:23
 * @LastEditTime: 2022-09-08 21:39:48
 * @Description: 
 * @FilePath: \cool-admin\cool-admin-vue-vue3-ts-vite\src\cool\modules\shuyou\service\game_task.ts
 */
import { BaseService, Service, Permission } from "/@/core";

@Service("shuyou/game_task")
class ShuyouGameTask extends BaseService {

	@Permission("stopTask")
	stopTask(data: any) {
		return this.request({
			url: "/stopTask",
			method: "POST",
			data
		})
	}

	@Permission("startTask")
	startTask(data: any) {
		return this.request({
			url: "/startTask",
			method: "POST",
			data
		})
	}

	@Permission("getQiniuToken")
	getQiniuToken(data: any) {
		return this.request({
			url: "/getQiniuToken",
			method: "POST",
			data
		})
	}
	@Permission("deleteById")
	deleteById(data: any) {
		return this.request({
			url: "/deleteById",
			method: "POST",
			data
		})
	}
	@Permission("taskList")
	taskList(data: any) {
		return this.request({
			url: "/taskList",
			method: "POST",
			data
		})
	}
}

export default ShuyouGameTask;
